#
# spec file for package psqlODBC (Version 07.03.0200)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  postgresql-devel postgresql-libs

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl postgresql-devel postgresql-libs rpm

Name:         psqlODBC
URL:          http://www.postgresql.org/
%define       tarname psqlodbc
Summary:      The ODBC driver needed for accessing a PostgreSQL DB using ODBC
Version:      07.03.0200
Release:      82.3
License:      LGPL
Group:        Productivity/Databases/Clients
Source0:      %tarname-%{version}.tar.bz2
Patch0:       psqlODBC-40714.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Obsoletes:    pg_odbc postgresql-odbc
Provides:     pg_odbc postgresql-odbc pg_iface:/usr/lib/pgsql/odbcinst.ini

%description
This package contains the ODBC (Open DataBase Connectivity) driver and
sample configuration files needed for applications to access a
PostgreSQL database using ODBC.



Authors:
--------
    Authornameemail:
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%prep
%setup -q -n %tarname-%version
%patch0

%build
CFLAGS="%optflags -fno-strict-aliasing"
%configure
make

%install
test -n "%buildroot" -a "%buildroot" != "/" && rm -rf %buildroot
make DESTDIR=%buildroot install

%clean
test -n "%buildroot" -a "%buildroot" != "/" && rm -rf %buildroot

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root,-)
%doc README.unix *.txt
%_libdir/*
%_datadir/psqlodbc

%changelog -n psqlODBC
* Tue May 25 2004 - max@suse.de
- Adapted a patch from Debian to fix a buffer overflow in ODBC driver
  (src/interfaces/odbc/): added parameter for target buffer size to
  make_string() to prevent buffer overflows and corrected all calls to
  it (http://bugs.debian.org/247306, SuSE Bugzilla #40714).
  With previous versions it was possible to crash (and possibly
  exploit) e. g. apache if a PHP script connected to a ODBC database
  with very long credential strings (DSN, username, password, etc.).
* Fri Feb 06 2004 - max@suse.de
- Added -fno-strict-aliasing to CFLAGS.
* Thu Jan 15 2004 - max@suse.de
- New version: 07.03.0200
* Sun Jan 11 2004 - adrian@suse.de
- add %%run_ldconfig
* Thu Jan 09 2003 - max@suse.de
- psqlODBC (formerly postgresql-odbc) becomes a package of it's
  own, because it has been removed from the PostgreSQL
  core distribution and is now a separate project.
- New version: 7.2.5.
